import 'package:flutter/material.dart';

class ListPage extends StatelessWidget {
  const ListPage({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        resizeToAvoidBottomInset: false,
        backgroundColor: Color(0xff078C84),
        body: ListView(
          children: [
            Row(
              children: [
                BackButton(),
              ],
            ),
            Card(
              child: Column(
                children: [
                  Row(
                    children: [
                      Text(
                        'Top Menu',
                        textAlign: TextAlign.left,
                        style: TextStyle(
                            fontWeight: FontWeight.w500,
                            color: Color(0xff292D32)),
                      ),
                      Expanded(child: Container()),
                      ElevatedButton(
                          style: ElevatedButton.styleFrom(
                              backgroundColor:
                                  Color(0xff078C84).withOpacity(0.1)),
                          onPressed: () {
                            print('Done');
                          },
                          child: Text(
                            'Done',
                            style: TextStyle(
                                color: Color(0xff078C84),
                                fontWeight: FontWeight.w300),
                          ))
                    ],
                  ),
                  Padding(
                    padding: const EdgeInsets.all(8.0),
                    child: Row(
                      children: [
                        Container(
                          decoration: BoxDecoration(
                              border: Border.all(color: Color(0xffCCA600)),
                              borderRadius:
                                  BorderRadius.all(Radius.circular(20)),
                              color: Color(0xffCCA600).withOpacity(0.4)),
                          padding: const EdgeInsets.all(10.0),
                          child: Image.asset(
                            'assets/images/food.png',
                            width: 36,
                            height: 36,
                            fit: BoxFit.cover,
                          ),
                        ),
                        Padding(
                          padding: const EdgeInsets.all(8.0),
                          child: Column(
                            crossAxisAlignment: CrossAxisAlignment.start,
                            children: [
                              Text(
                                'Foods & Drinks',
                                style: TextStyle(fontSize: 14),
                              ),
                              Text(
                                'Description of foods & drink',
                                style: TextStyle(fontSize: 12),
                              ),
                            ],
                          ),
                        ),
                        Expanded(child: Container()),
                        Icon(
                          Icons.do_not_disturb_on,
                          color: Colors.red,
                        ),
                        Icon(Icons.dehaze),
                      ],
                    ),
                  ),
                  Padding(
                    padding: const EdgeInsets.all(8.0),
                    child: Row(
                      children: [
                        Container(
                          decoration: BoxDecoration(
                              border: Border.all(color: Color(0xff90D8F9)),
                              borderRadius:
                                  BorderRadius.all(Radius.circular(20)),
                              color: Color(0xff90D8F9).withOpacity(0.22)),
                          padding: const EdgeInsets.all(10.0),
                          child: Image.asset(
                            'assets/images/service.png',
                            width: 36,
                            height: 36,
                            fit: BoxFit.cover,
                          ),
                        ),
                        Padding(
                          padding: const EdgeInsets.all(8.0),
                          child: Column(
                            crossAxisAlignment: CrossAxisAlignment.start,
                            children: [
                              Text(
                                'Services',
                                style: TextStyle(fontSize: 14),
                              ),
                              Text(
                                'Description of services',
                                style: TextStyle(fontSize: 12),
                              ),
                            ],
                          ),
                        ),
                        Expanded(child: Container()),
                        Icon(
                          Icons.do_not_disturb_on,
                          color: Colors.red,
                        ),
                        Icon(Icons.dehaze),
                      ],
                    ),
                  ),
                  Padding(
                    padding: const EdgeInsets.all(8.0),
                    child: Row(
                      children: [
                        Container(
                          decoration: BoxDecoration(
                              border: Border.all(color: Color(0xffAACEE0)),
                              borderRadius:
                                  BorderRadius.all(Radius.circular(20)),
                              color: Color(0xffAACEE0).withOpacity(0.31)),
                          padding: const EdgeInsets.all(10.0),
                          child: Image.asset(
                            'assets/images/additional.png',
                            width: 36,
                            height: 36,
                            fit: BoxFit.cover,
                          ),
                        ),
                        Padding(
                          padding: const EdgeInsets.all(8.0),
                          child: Column(
                            crossAxisAlignment: CrossAxisAlignment.start,
                            children: [
                              Text(
                                'Additional',
                                style: TextStyle(fontSize: 14),
                              ),
                              Text(
                                'Description of additional',
                                style: TextStyle(fontSize: 12),
                              ),
                            ],
                          ),
                        ),
                        Expanded(child: Container()),
                        Icon(
                          Icons.do_not_disturb_on,
                          color: Colors.red,
                        ),
                        Icon(Icons.dehaze),
                      ],
                    ),
                  ),
                  Padding(
                    padding: const EdgeInsets.all(8.0),
                    child: Row(
                      children: [
                        Container(
                          decoration: BoxDecoration(
                              border: Border.all(color: Color(0xffFF1111)),
                              borderRadius:
                                  BorderRadius.all(Radius.circular(20)),
                              color: Color(0xffFF1111).withOpacity(0.15)),
                          padding: const EdgeInsets.all(10.0),
                          child: Image.asset(
                            'assets/images/firstaid.png',
                            width: 36,
                            height: 36,
                            fit: BoxFit.cover,
                          ),
                        ),
                        Padding(
                          padding: const EdgeInsets.all(8.0),
                          child: Column(
                            crossAxisAlignment: CrossAxisAlignment.start,
                            children: [
                              Text(
                                'First Aid',
                                style: TextStyle(fontSize: 14),
                              ),
                              Text(
                                'Description of first aid',
                                style: TextStyle(fontSize: 12),
                              ),
                            ],
                          ),
                        ),
                        Expanded(child: Container()),
                        Icon(
                          Icons.do_not_disturb_on,
                          color: Colors.red,
                        ),
                        Icon(Icons.dehaze),
                      ],
                    ),
                  ),
                  Padding(
                    padding: const EdgeInsets.all(8.0),
                    child: Row(
                      children: [
                        Container(
                          decoration: BoxDecoration(
                              border: Border.all(color: Color(0xff5ED8F6)),
                              borderRadius:
                                  BorderRadius.all(Radius.circular(20)),
                              color: Color(0xff5ED8F6).withOpacity(0.26)),
                          padding: const EdgeInsets.all(10.0),
                          child: Image.asset(
                            'assets/images/ticket.png',
                            width: 36,
                            height: 36,
                            fit: BoxFit.cover,
                          ),
                        ),
                        Padding(
                          padding: const EdgeInsets.all(8.0),
                          child: Column(
                            crossAxisAlignment: CrossAxisAlignment.start,
                            children: [
                              Text(
                                'Ticket',
                                style: TextStyle(fontSize: 14),
                              ),
                              Text(
                                'Description of ticket',
                                style: TextStyle(fontSize: 12),
                              ),
                            ],
                          ),
                        ),
                        Expanded(child: Container()),
                        Icon(
                          Icons.do_not_disturb_on,
                          color: Colors.red,
                        ),
                        Icon(Icons.dehaze),
                      ],
                    ),
                  ),
                  Padding(
                    padding: const EdgeInsets.all(8.0),
                    child: Row(
                      children: [
                        Container(
                          decoration: BoxDecoration(
                              border: Border.all(color: Color(0xffCCA600)),
                              borderRadius:
                                  BorderRadius.all(Radius.circular(20)),
                              color: Color(0xffCCA600).withOpacity(0.2)),
                          padding: const EdgeInsets.all(10.0),
                          child: Image.asset(
                            'assets/images/vacation.png',
                            width: 36,
                            height: 36,
                            fit: BoxFit.cover,
                          ),
                        ),
                        Padding(
                          padding: const EdgeInsets.all(8.0),
                          child: Column(
                            crossAxisAlignment: CrossAxisAlignment.start,
                            children: [
                              Text(
                                'Vacation',
                                style: TextStyle(fontSize: 14),
                              ),
                              Text(
                                'Description of vacation',
                                style: TextStyle(fontSize: 12),
                              ),
                            ],
                          ),
                        ),
                        Expanded(child: Container()),
                        Icon(
                          Icons.do_not_disturb_on,
                          color: Colors.red,
                        ),
                        Icon(Icons.dehaze),
                      ],
                    ),
                  ),
                  Padding(
                    padding: const EdgeInsets.all(8.0),
                    child: Row(
                      children: [
                        Container(
                          decoration: BoxDecoration(
                              border: Border.all(color: Color(0xff6C8BA5)),
                              borderRadius:
                                  BorderRadius.all(Radius.circular(20)),
                              color: Color(0xff6C8BA5).withOpacity(0.24)),
                          padding: const EdgeInsets.all(10.0),
                          child: Image.asset(
                            'assets/images/transportation.png',
                            width: 36,
                            height: 36,
                            fit: BoxFit.cover,
                          ),
                        ),
                        Padding(
                          padding: const EdgeInsets.all(8.0),
                          child: Column(
                            crossAxisAlignment: CrossAxisAlignment.start,
                            children: [
                              Text(
                                'Transportation',
                                style: TextStyle(fontSize: 14),
                              ),
                              Text(
                                'Description of transportation',
                                style: TextStyle(fontSize: 12),
                              ),
                            ],
                          ),
                        ),
                        Expanded(child: Container()),
                        Icon(
                          Icons.do_not_disturb_on,
                          color: Colors.red,
                        ),
                        Icon(Icons.dehaze),
                      ],
                    ),
                  ),
                ],
              ),
            ),
            Card(
              child: Column(
                children: [
                  Row(
                    children: [
                      Text(
                        'Available Menu',
                        textAlign: TextAlign.left,
                      ),
                    ],
                  ),
                  Padding(
                    padding: const EdgeInsets.all(8.0),
                    child: Row(
                      children: [
                        Container(
                          decoration: BoxDecoration(
                              border: Border.all(color: Color(0xffCCA600)),
                              borderRadius:
                                  BorderRadius.all(Radius.circular(20)),
                              color: Color(0xffCCA600).withOpacity(0.2)),
                          padding: const EdgeInsets.all(10.0),
                          child: Image.asset(
                            'assets/images/food.png',
                            width: 36,
                            height: 36,
                            fit: BoxFit.cover,
                          ),
                        ),
                        Padding(
                          padding: const EdgeInsets.all(8.0),
                          child: Column(
                            crossAxisAlignment: CrossAxisAlignment.start,
                            children: [
                              Text(
                                'Foods & Drinks',
                                style: TextStyle(fontSize: 14),
                              ),
                              Text(
                                'Description of foods & drink',
                                style: TextStyle(fontSize: 12),
                              ),
                            ],
                          ),
                        ),
                        Expanded(child: Container()),
                        Icon(
                          Icons.add_circle,
                          color: Colors.red,
                        ),
                      ],
                    ),
                  ),
                  Padding(
                    padding: const EdgeInsets.all(8.0),
                    child: Row(
                      children: [
                        Container(
                          decoration: BoxDecoration(
                              border: Border.all(color: Color(0xff90D8F9)),
                              borderRadius:
                                  BorderRadius.all(Radius.circular(20)),
                              color: Color(0xff90D8F9).withOpacity(0.22)),
                          padding: const EdgeInsets.all(10.0),
                          child: Image.asset(
                            'assets/images/service.png',
                            width: 36,
                            height: 36,
                            fit: BoxFit.cover,
                          ),
                        ),
                        Padding(
                          padding: const EdgeInsets.all(8.0),
                          child: Column(
                            crossAxisAlignment: CrossAxisAlignment.start,
                            children: [
                              Text(
                                'Services',
                                style: TextStyle(fontSize: 14),
                              ),
                              Text(
                                'Description of services',
                                style: TextStyle(fontSize: 12),
                              ),
                            ],
                          ),
                        ),
                        Expanded(child: Container()),
                        Icon(
                          Icons.add_circle,
                          color: Colors.red,
                        ),
                      ],
                    ),
                  ),
                  Padding(
                    padding: const EdgeInsets.all(8.0),
                    child: Row(
                      children: [
                        Container(
                          decoration: BoxDecoration(
                              border: Border.all(color: Color(0xffAACEE0)),
                              borderRadius:
                                  BorderRadius.all(Radius.circular(20)),
                              color: Color(0xffAACEE0).withOpacity(0.31)),
                          padding: const EdgeInsets.all(10.0),
                          child: Image.asset(
                            'assets/images/additional.png',
                            width: 36,
                            height: 36,
                            fit: BoxFit.cover,
                          ),
                        ),
                        Padding(
                          padding: const EdgeInsets.all(8.0),
                          child: Column(
                            crossAxisAlignment: CrossAxisAlignment.start,
                            children: [
                              Text(
                                'Additional',
                                style: TextStyle(fontSize: 14),
                              ),
                              Text(
                                'Description of additional',
                                style: TextStyle(fontSize: 12),
                              ),
                            ],
                          ),
                        ),
                        Expanded(child: Container()),
                        Icon(
                          Icons.add_circle,
                          color: Colors.red,
                        ),
                      ],
                    ),
                  ),
                ],
              ),
            ),
          ],
        ));
  }
}
